Featureset Versions - Create Or Update
创建或更新版本。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{name}/versions/{version}?api-version=2026-05-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
name
|
path | True |
string |
容器名称。 此参数区分大小写。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
version
|
path | True |
string |
版本标识符。 此参数区分大小写。 |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Azure 机器学习工作区名称 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
请求正文
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| properties | True |
[必需]实体的其他属性。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
资源“FeaturesetVersion”更新作成功 |
|
| 201 Created |
请求已成功,因此创建了一个新资源。 标头
|
|
| Other Status Codes |
未预期的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流程。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 冒充您的用户账户 |
示例
CreateOrUpdate Workspace Featureset Version.
示例请求
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featuresets/string/versions/string?api-version=2026-05-01
{
"properties": {
"description": "string",
"entities": [
"string"
],
"isAnonymous": false,
"isArchived": false,
"materializationSettings": {
"notification": {
"emailOn": [
"JobFailed"
],
"emails": [
"string"
]
},
"resource": {
"instanceType": "string"
},
"schedule": {
"endTime": "string",
"frequency": "Day",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"monthDays": [
1
],
"weekDays": [
"Monday"
]
},
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence"
},
"sparkConfiguration": {
"string": "string"
},
"storeType": "Online"
},
"properties": {
"string": "string"
},
"specification": {
"path": "string"
},
"stage": "string",
"tags": {
"string": "string"
}
}
}
示例响应
{
"name": "string",
"type": "string",
"id": "string",
"properties": {
"description": "string",
"entities": [
"string"
],
"isAnonymous": false,
"isArchived": false,
"materializationSettings": {
"notification": {
"emailOn": [
"JobFailed"
],
"emails": [
"string"
]
},
"resource": {
"instanceType": "string"
},
"schedule": {
"endTime": "string",
"frequency": "Day",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"monthDays": [
1
],
"weekDays": [
"Wednesday"
]
},
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence"
},
"sparkConfiguration": {
"string": "string"
},
"storeType": "OnlineAndOffline"
},
"properties": {
"string": "string"
},
"provisioningState": "Deleting",
"specification": {
"path": "string"
},
"stage": "string",
"tags": {
"string": "string"
}
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:52",
"createdBy": "string",
"createdByType": "Application",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:52",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
{
"name": "string",
"type": "string",
"id": "string",
"properties": {
"description": "string",
"entities": [
"string"
],
"isAnonymous": false,
"isArchived": false,
"materializationSettings": {
"notification": {
"emailOn": [
"JobCancelled"
],
"emails": [
"string"
]
},
"resource": {
"instanceType": "string"
},
"schedule": {
"endTime": "string",
"frequency": "Hour",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"monthDays": [
1
],
"weekDays": [
"Wednesday"
]
},
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence"
},
"sparkConfiguration": {
"string": "string"
},
"storeType": "Offline"
},
"properties": {
"string": "string"
},
"provisioningState": "Failed",
"specification": {
"path": "string"
},
"stage": "string",
"tags": {
"string": "string"
}
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:52",
"createdBy": "string",
"createdByType": "Application",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:52",
"lastModifiedBy": "string",
"lastModifiedByType": "Key"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Asset |
注册表资产的预配状态。 |
|
Azure |
特定于 Azure DevOps 的 Webhook 详细信息 |
|
created |
创建该资源的身份类型。 |
|
Email |
枚举以确定电子邮件通知类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详情 |
|
Error |
错误响应 |
|
Featureset |
表示规范的 DTO 对象 |
|
Featureset |
Azure 资源管理器资源信封。 |
|
Featureset |
表示功能集版本的 DTO 对象 |
|
Materialization |
表示计算资源的 DTO 对象 |
|
Materialization |
|
|
Materialization |
指定具体化应到的存储区 |
|
Notification |
通知的配置。 |
|
Recurrence |
用于描述重复计划频率的枚举 |
|
Recurrence |
|
|
Recurrence |
|
|
system |
与创建和上次修改资源相关的元数据。 |
|
Trigger |
|
|
Webhook |
枚举来确定 Webhook 回调服务类型。 |
|
Week |
工作日枚举 |
AssetProvisioningState
注册表资产的预配状态。
| 值 | 说明 |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Updating | |
| Deleting |
AzureDevOpsWebhook
特定于 Azure DevOps 的 Webhook 详细信息
| 名称 | 类型 | 说明 |
|---|---|---|
| eventType |
string |
对指定的通知事件发送回调 |
| webhookType |
string:
Azure |
[必需]指定要发送回调的服务的类型 |
createdByType
创建该资源的身份类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EmailNotificationEnableType
枚举以确定电子邮件通知类型。
| 值 | 说明 |
|---|---|
| JobCompleted | |
| JobFailed | |
| JobCancelled |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详情
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误的附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详情。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误的目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
FeaturesetSpecification
表示规范的 DTO 对象
| 名称 | 类型 | 说明 |
|---|---|---|
| path |
string |
指定规范路径 |
FeaturesetVersion
Azure 资源管理器资源信封。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
该资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
资源的名称 |
| properties |
[必需]实体的其他属性。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
FeaturesetVersionProperties
表示功能集版本的 DTO 对象
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| description |
string |
资产说明文本。 |
|
| entities |
string[] |
指定实体列表 |
|
| isAnonymous |
boolean |
False |
如果名称版本是系统生成的(匿名注册)。 |
| isArchived |
boolean |
False |
资产是否已存档? |
| materializationSettings |
指定具体化设置 |
||
| properties |
object |
资产属性字典。 |
|
| provisioningState |
功能集版本容器的预配状态。 |
||
| specification |
指定功能规格详细信息 |
||
| stage |
string |
指定资产阶段 |
|
| tags |
object |
标记字典。 可以添加、删除和更新标记。 |
MaterializationComputeResource
表示计算资源的 DTO 对象
| 名称 | 类型 | 说明 |
|---|---|---|
| instanceType |
string |
指定实例类型 |
MaterializationSettings
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| notification |
指定通知详细信息 |
||
| resource |
指定计算资源设置 |
||
| schedule |
指定计划详细信息 |
||
| sparkConfiguration |
object |
指定 Spark 计算设置 |
|
| storeType | None |
指定具体化应到的存储区 |
MaterializationStoreType
指定具体化应到的存储区
| 值 | 说明 |
|---|---|
| None | |
| Online | |
| Offline | |
| OnlineAndOffline |
NotificationSetting
通知的配置。
| 名称 | 类型 | 说明 |
|---|---|---|
| emailOn |
在指定的通知类型上向用户发送电子邮件通知 |
|
| emails |
string[] |
这是电子邮件收件人列表,限制为 499 个字符的总 concat 和逗号分隔符 |
| webhooks |
object |
将 Webhook 回调发送到服务。 密钥是 Webhook 的用户提供的名称。 |
RecurrenceFrequency
用于描述重复计划频率的枚举
| 值 | 说明 |
|---|---|
| Minute |
分钟频率 |
| Hour |
小时频率 |
| Day |
日频率 |
| Week |
周频率 |
| Month |
月份频率 |
RecurrenceSchedule
| 名称 | 类型 | 说明 |
|---|---|---|
| hours |
integer[] (int32) |
[必需]计划小时列表。 |
| minutes |
integer[] (int32) |
[必需]计划分钟列表。 |
| monthDays |
integer[] (int32) |
计划月份日期列表 |
| weekDays |
Week |
计划天数列表。 |
RecurrenceTrigger
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| endTime |
string |
以 ISO 8601 指定计划的结束时间,但不指定 UTC 偏移量。 请参阅 https://en.wikipedia.org/wiki/ISO_8601。 重新注释的格式为“2022-06-01T00:00:01”如果不存在,时间表将无限期运行 |
|
| frequency |
[必需]触发计划的频率。 |
||
| interval |
integer (int32) |
[必需]指定计划间隔与频率 |
|
| schedule |
重复计划。 |
||
| startTime |
string |
以 ISO 8601 格式指定计划的开始时间,但没有 UTC 偏移量。 |
|
| timeZone |
string |
UTC |
指定运行计划的时区。 TimeZone 应该遵循 Windows 的时区格式。 请参阅: https://docs.microsoft.com/en-us/windows-hardware/manufacture/desktop/default-time-zones?view=windows-11 |
| triggerType |
string:
Recurrence |
[Required] |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建该资源的身份。 |
| createdByType |
创建该资源的身份类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
TriggerType
| 值 | 说明 |
|---|---|
| Recurrence | |
| Cron |
WebhookType
枚举来确定 Webhook 回调服务类型。
| 值 | 说明 |
|---|---|
| AzureDevOps |
WeekDay
工作日枚举
| 值 | 说明 |
|---|---|
| Monday |
周一工作日 |
| Tuesday |
周二 工作日 |
| Wednesday |
周三 工作日 |
| Thursday |
周四 工作日 |
| Friday |
周五工作日 |
| Saturday |
周六 工作日 |
| Sunday |
周日 工作日 |